#
# This file is part of Invenio.
# Copyright (C) 2016-2018 CERN.
#
# Invenio is free software; you can redistribute it and/or modify it
# under the terms of the MIT License; see LICENSE file for more details.

"""actions"""

import sqlalchemy as sa
from alembic import op

import oarepo_enrollments.fields

# revision identifiers, used by Alembic.
revision = '16ffa6cb5954'
down_revision = '816163ff5ad9'
branch_labels = ()
depends_on = None


def upgrade():
    """Upgrade database."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        'enrollment',
        sa.Column(
            'actions',
            oarepo_enrollments.fields.StringArray().with_variant(
                oarepo_enrollments.fields.StringArrayType(256),
                dialect_name='sqlite'),
            nullable=True))
    # ### end Alembic commands ###


def downgrade():
    """Downgrade database."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('enrollment', 'actions')
    # ### end Alembic commands ###
